[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Bug#582262: kwave: disable ALSA dependency/usage on non-Linux archs

Package: kwave
Version: 0.8.2-4
Severity: important
Tags: patch


currently kwave fails to compile on eg kFreeBSD on ALSA-related parts.
Given that there's no ALSA outside Linux, the ALSA dependency can be disabled on
kfreebsd-{amd64,i386} and hurd-i386 (the current non-Linux Debian ports),
and the ALSA stuff disabled at CMake time.

The attached patch fixes the issue.

--- a/debian/control
+++ b/debian/control
@@ -7,7 +7,8 @@
  imagemagick, recode, libid3-3.8.3-dev (>= 3.8.3-4.2),
  libaudiofile-dev, libogg-dev, libvorbis-dev (>= 1.0.0-2), 
  libflac++-dev (>= 1.1.4), libmad0-dev, libgsl0-dev,
- libasound2-dev, libfftw3-dev,
+ libasound2-dev [!kfreebsd-amd64 !kfreebsd-i386 !hurd-i386],
+ libfftw3-dev,
  poxml, gawk, cmake
 Standards-Version: 3.8.1
 Homepage: http://kwave.sourceforge.net
--- a/debian/rules
+++ b/debian/rules
@@ -1,5 +1,10 @@
 #!/usr/bin/make -f
+DEB_HOST_ARCH_OS ?= $(shell dpkg-architecture -qDEB_HOST_ARCH_OS)
+ifneq ($(DEB_HOST_ARCH_OS),linux)
 include /usr/share/cdbs/1/rules/patchsys-quilt.mk
 include /usr/share/pkg-kde-tools/makefiles/1/cdbs/kde.mk
 include /usr/share/cdbs/1/rules/debhelper.mk

Reply to: